---

- name: install common packages
  include_tasks: install.yml

- name: install Red Hat packages
  ansible.builtin.include_tasks: install_RHEL.yml
  when: ansible_os_family | lower == 'redhat'

- name: install Debian packages
  include_tasks: install_DEBIAN.yml
  when: ansible_os_family | lower == 'debian'

- name: upgrade pip
  environment: "{{ proxy_env }}"
  become: true
  ansible.builtin.pip:
    name: pip
    state: latest
    extra_args: "--index-url {{ python_pip_repository }}"
  loop: "{{ k8s_collection_python_packages }}"

- name: install needed python packages
  environment: "{{ proxy_env }}"
  become: true
  ansible.builtin.pip:
    name: "{{ item }}"
    state: present
    extra_args: "--ignore-installed --index-url {{ python_pip_repository }}"
  loop: "{{ k8s_collection_python_packages }}"
